#!/bin/sh
# 发包脚本
set -e
# 获取当前时间并格式化为指定格式
current_time=$(date +"%Y-%m-%d %H:%M:%S")
echo "发布开始，当前时间是：$current_time"

scp ./play-admin/target/play-admin-1.1.jar root@122.51.20.105:/app/service
echo "上传成功!"
ssh root@122.51.20.105 "
source /etc/profile;
cd /app/service;
docker-compose build;
cd /root;
docker-compose down;
docker-compose up -d;
docker-compose logs -f"
# 获取当前时间并格式化为指定格式
current_time=$(date +"%Y-%m-%d %H:%M:%S")

echo "发布完成，当前时间是：$current_time"